SUSE Manager 4.1 to 4.2 upgrade

I have just run the migration from SUSE Manager 4.1 to 4.2 and have hit a snag. Everything upgrades fine and the server reboots but when I run pg-migrate-12-to-13.sh to update postgres and get the following.
19:48:09 You have postgresql-server 14 installed.
19:48:09 You have postgresql server 12 configured.
19:48:09 ERROR: Latest installed version is 14, which does not match 13, the option you provided with -d.
It seems the migration installs postgres 14 rather than 13 which the script doesn’t then agree with. I also tired the update x to y script but this also gave errors that some of the installed manager packages were not compatible.
Is there a way to get around this or to stop postgres installing version 14 when running the migration ?

I have just found this which answer my question lol
https://www.suse.com/support/kb/doc/?id=000020428

1 Like